Pertanyaan Menginstal dan menggunakan perangkat lunak 32-bit di Linux 64-bit


Apakah ada cara untuk menginstal dan menjalankan paket perangkat lunak i386 di dalam versi AMD64 Xubuntu (v9.10)? Hanya untuk mendapatkan ide, berapa banyak usaha yang diperlukan untuk mem-port-nya ke sesuatu yang dapat digunakan dalam OS yang disebutkan. Saya membayangkan itu akan menjadi sebuah banyak.

Terima kasih! Jika Anda membutuhkan info lebih lanjut (spesifikasi, dll.) Beri tahu saya.


2
2018-03-27 02:49


asal


Aplikasi harus secara khusus ditulis untuk Linux 64-bit. Tergantung pada aplikasinya, porting mungkin atau mungkin tidak banyak pekerjaan. Itu bisa sesederhana kompilasi sebagai aplikasi 64-bit, atau bisa berarti harus menulis ulang sejumlah kode yang layak. - Sasha Chedygov
Jika itu masalahnya, sepertinya satu-satunya solusi adalah menghapusnya dan menginstal Xubuntu versi i386. :( - Isxek


Jawaban:


Saya menjalankan beberapa aplikasi 32-bit pada sistem Ubuntu 64-bit saya (juga 9.10), dan itu tidak terlalu menyakitkan. Anda mungkin memerlukan pustaka 32-bit (saya perlu ia32-libs dan util-linux, saya percaya), dan Anda mungkin memiliki beberapa konfigurasi untuk dilakukan, tetapi saya setidaknya menemukannya dapat dilakukan. Saya belum mengkompilasi aplikasi 32-bit di sistem saya; Saya kira itu akan sedikit lebih sulit.

Sejak Ubuntu dibangun di Debian, ini artikel mungkin memberi Anda sedikit lebih banyak wawasan.

Hanya untuk konteks, saya menjalankan FlexBuilder Alpha, Firefox, Eclipse, dan Flex & Java SDK semua dalam 32-bit tanpa masalah.

Jika Anda memiliki aplikasi yang sangat spesifik yang Anda butuhkan, apakah Anda sudah mempertimbangkan untuk menjalankan VM? Saya benar-benar cinta VirtualBox, dan itu bisa menyelamatkan Anda beberapa sakit kepala yang tidak perlu.


5
2018-03-27 06:05



Lihat juga info di bagian bawah halaman ini: help.ubuntu.com/community/32bit_and_64bit - Lars Haugseth
@Lars - tautan hebat :) - bedwyr
Terima kasih! Karena menginstal Xubuntu ini tertanam di Windows (diinstal melalui Wubi), saya tidak dapat menggunakan VirtualBox. Tetapi perpustakaan yang dibutuhkan ada di sana, dan saya mengunduh yang lain (kebanyakan pustaka terkait SDL) untuk dependensi. Mereka semua bekerja sekarang. - Isxek
Luar biasa! Sangat bagus bukan memulai dari awal, bukan ?? :) - bedwyr


Dengan asumsi Anda memiliki .deb-file untuk program tersebut, Anda dapat menggunakan getlibs untuk menyelesaikan dependensi. Saya tidak tahu apakah Anda dapat mengunduh aplikasi 32-bit melalui getlibs juga, tetapi mungkin layak untuk dilihat.

http://ubuntuforums.org/showthread.php?t=474790


1
2018-03-27 12:41